For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get deposit status

Retrieve Deposit Status

get

Retrieve the status of a previously created deposit. This endpoint allows you to retrieve the status of a deposit request.

Path parameters
deposit_idintegerRequired

Directa24 deposit_id. It is obtained when creating the deposit.

Header parameters
Content-TypestringRequired

Media type of the body sent to the API. (Note: For GET, typically no request body)

Default: application/json
X-Datestring · date-timeRequired

ISO8601 Datetime with Timezone. Example: 2020-06-24T17:13:21Z

X-LoginstringRequired

Merchant X-Login API Key

AuthorizationstringRequired

Authentication signature hash

X-Idempotency-KeystringOptional

Unique idempotency key for ensuring that the same request is not processed more than once. (Typically for state-changing requests)

Responses
200

Deposit status cancelled

application/json
user_idstringOptional

ID generated for the user on D24 end

deposit_idintegerOptional

ID of the deposit on D24 end

subscription_idinteger · nullableOptional

ID of the Subscription that triggered the deposit

invoice_idstringOptional

ID of the deposit on the merchant end

countrystring · nullableOptional

Country ISO code

currencystringOptional

Local currency code

local_amountnumber · float · nullableOptional

Amount in local currency

usd_amountnumber · float · nullableOptional

Amount in USD

amountnumber · float · nullableOptional

Amount in local currency

bonus_amountnumber · float · nullableOptional

The amount specified as bonus in the request

bonus_relativeboolean · nullableOptional

Specifies if the bonus_amount is absolute or relative. Only shown if bonus_amount is not null.

payment_methodstring · nullableOptional

Payment method code specified on the deposit request or selected by the user. Only shown if payment method is selected.

payment_typestring · nullableOptional

Type of the payment method. Only shown if payment method is selected.

statusstring · enumOptional

Status of the deposit

Possible values:
status_reasonstring · enum · nullableOptional

Additional information about the deposit status. Currently returned only when status is CANCELLED.

Possible values:
fee_amountnumber · float · nullableOptional

Fee of the deposit in the currency of your balance. Only shown if payment_method was sent or selected.

fee_currencystring · nullableOptional

Currency of your balance. Only shown if payment_method was sent or selected.

refundedboolean · nullableOptional

Shows if the deposit was refunded or not

current_payer_verificationstring · enum · nullableOptional

Shows if the current payer is the same person who creates the deposit. Only shown if not null.

Possible values:
completed_payment_method_codestring · nullableOptional

Payment method used by the client to complete the transaction

get/deposits/{deposit_id}
GET /v3/deposits/{deposit_id} HTTP/1.1
Host: api-stg.directa24.com
Content-Type: application/json
X-Date: 2026-01-01T00:00:00.000Z
X-Login: text
Authorization: text
Accept: */*
{
  "deposit_id": 300000001,
  "invoice_id": "test-CL-001",
  "country": "CL",
  "currency": "CLP",
  "usd_amount": 5.29,
  "local_amount": 5000,
  "payment_method": "WP",
  "payment_type": "CREDIT_CARD",
  "status": "CANCELLED",
  "status_reason": "THIRD_PARTY_PAYER",
  "payer": {
    "document": "12345678",
    "document_type": "ID",
    "email": "[email protected]",
    "first_name": "Test",
    "last_name": "User",
    "phone": "+5511999999999"
  },
  "fee_amount": 247.5,
  "fee_currency": "BRL",
  "refunded": false,
  "current_payer_verification": "NO_CURRENT_PAYER_DATA"
}

Last updated

Was this helpful?